#!/bin/sh

test -n "${EXTRA_PKGS}" && apk add --no-cache ${EXTRA_PKGS}
test -n "${EXTRA_GEMS}" && gem install --no-user-install --no-document ${EXTRA_GEMS}

GEM_COMPILER_FLAGS="${GEM_COMPILER_FLAGS}" \
CMAKE_FLAGS="${CMAKE_FLAGS}" \
  su-exec builder /usr/local/bin/gem-compiler

exit_status=$?

test -n "${EXTRA_PKGS}" && apk del ${EXTRA_PKGS}
test -n "${EXTRA_GEMS}" && gem uninstall --all ${EXTRA_GEMS}

exit ${exit_status}
